package net.minecraft.src;

import java.util.Collection;
import net.lax1dude.eaglercraft.ProfileUUID;

public interface AttributeInstance
{
    Attribute func_111123_a();

    double getBaseValue();

    void setAttribute(double var1);

    Collection func_111122_c();

    /**
     * Returns attribute modifier, if any, by the given ProfileUUID
     */
    AttributeModifier getModifier(ProfileUUID var1);

    void applyModifier(AttributeModifier var1);

    void removeModifier(AttributeModifier var1);

    void func_142049_d();

    double getAttributeValue();
}
